/ratehighwaySubmit Rate Highway Request
Submit RateHighway request
Implementation Notes
method: must be"AWS3"only.fileName: must be a string ending in.csvor.json(validated server-side).
Each item must include:
-
pickupOffice,dropoffOffice: required strings. -
dateFrom: validated with custom logic to ensure correct format (e.g.,YYYY-MM-DD). -
fileNamemust end in.csvor.json. Invalid formats will return400 Bad Request. -
Ensures
domainis a valid domain for given pickupOffice/dropoffOffice if a pickup location match is found.Example Request 1:
Example Request 2:{ "exportData": { "method": "AWS3", "fileName": "RH-TestingDA20230222f.json", "loginData": { "bucket": "rh-cars1" } }, "batchData": [ { "domain": "expedia.us", "pickupOffice": "ATL", "dropoffOffice": "ATL", "dateFrom": "2025-12-14", "lor": 2, "timeFrom": "10:30", "timeTo": "10:30", "currency": "USD", "cob": "US", "reference": "123:456:790" } ] }{ "exportData": { "method": "AWS3", "fileName": "RH-TestingDA20230222f.csv", "loginData": { "bucket": "rh-cars1" } }, "batchData": [ { "domain": "expedia.us", "pickupOffice": "ATL", "dropoffOffice": "ATL", "dateFrom": "2025-12-14", "lor": 2, "timeFrom": "10:30", "timeTo": "10:30", "currency": "USD", "cob": "US", "reference": "" } ] }
/ratehighwayParameter Details
| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | object | Required | none |
» exportData | body | object | Required | none |
»» method | body | string | Required | none |
»» fileName | body | string | Required | none |
»» loginData | body | object | Required | none |
»»» bucket | body | string | Required | none |
» batchData | body | Required | none | |
»» domain | body | string | Required | none |
»» pickupOffice | body | string | Required | none |
»» dropoffOffice | body | string | Required | none |
»» dateFrom | body | string(date) | Required | none |
»» lor | body | integer | Required | none |
»» timeFrom | body | string | Required | none |
»» timeTo | body | string | Required | none |
»» currency | body | string | Required | none |
»» cob | body | string | Required | none |
»» reference | body | string | Required | none |
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Success | |
| 400 | Bad Request | Bad Request | None |
| 401 | Unauthorized | Unauthorized | None |
| 403 | Forbidden | Forbidden - Access denied | None |
| 500 | Internal Server Error | Internal Server Error | None |
Example Request
# You can also use wget
curl -X POST /ratehighway \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'
Example responses
{
"exportData": {
"method": "AWS3",
"fileName": "RH-TestingDA20230222f.json",
"loginData": {
"bucket": "rh-cars1"
}
},
"batchData": [
{
"domain": "expedia.us",
"pickupOffice": "ATL",
"dropoffOffice": "ATL",
"dateFrom": "2025-12-14",
"lor": 2,
"timeFrom": "10:30",
"timeTo": "10:30",
"currency": "USD",
"cob": "US",
"reference": "123:456:790"
}
]
}Body parameter
{
"exportData": {
"method": "AWS3",
"fileName": "RH-TestingDA20230222f.json",
"loginData": {
"bucket": "rh-cars1"
}
},
"batchData": [
{
"domain": "expedia.us",
"pickupOffice": "ATL",
"dropoffOffice": "ATL",
"dateFrom": "2019-08-24",
"lor": 2,
"timeFrom": "10:30",
"timeTo": "10:30",
"currency": "USD",
"cob": "US",
"reference": "123:456:790"
}
]
}
Example responses
{
"message": "Your request has been received and queued for processing",
"queueId": 1
}
Need Support?
Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.